Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.layout
Class CellLayoutData

    java.lang.Object
      nextapp.echo2.app.layout.CellLayoutData

All Implemented Interfaces:
  java.io.Serializable, LayoutData

Direct Known Subclasses:
  ColumnLayoutData, GridLayoutData, RowLayoutData, TableLayoutData

    public abstract class CellLayoutData

extends java.lang.Object
implements LayoutData

An abstract base layout data object for components which render their children in cells.

See Also:
  Serialized Form

Constructor Summary
`CellLayoutData()`

Method Summary
`Alignment` | `getAlignment()` Returns the alignment of the cell.
`Color` | `getBackground()` Returns the background color of the cell.
`FillImage` | `getBackgroundImage()` Returns the background image of the cell.
`Insets` | `getInsets()` Returns the inset margins of the cell.
`void` | `setAlignment(Alignment newValue)` Sets the alignment of the cell.
`void` | `setBackground(Color newValue)` Sets the background color of the cell.
`void` | `setBackgroundImage(FillImage newValue)` Sets the background image of the cell.
`void` | `setInsets(Insets newValue)` Sets the inset margins of the cell.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellLayoutData

    public CellLayoutData()

Method Detail

### getAlignment

    public Alignment getAlignment()

  Returns the alignment of the cell.

  Returns:
    the alignment

### getBackground

    public Color getBackground()

  Returns the background color of the cell.

  Returns:
    the background color

### getBackgroundImage

    public FillImage getBackgroundImage()

  Returns the background image of the cell.

  Returns:
    the background image

### getInsets

    public Insets getInsets()

  Returns the inset margins of the cell.

  Returns:
    the inset margins

### setAlignment

    public void setAlignment(Alignment newValue)

  Sets the alignment of the cell.

  Parameters:
    `newValue` - the new alignment

### setBackground

    public void setBackground(Color newValue)

  Sets the background color of the cell.

  Parameters:
    `newValue` - the new background color

### setBackgroundImage

    public void setBackgroundImage(FillImage newValue)

  Sets the background image of the cell.

  Parameters:
    `newValue` - the new background image

### setInsets

    public void setInsets(Insets newValue)

  Sets the inset margins of the cell.

  Parameters:
    `newValue` - the inset margins

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD